Author: Chris topher Category: Backend User Interface
Updated: 2015-01-24 Due date:
TYPO3 Version: 6.0
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Page TSconfig option mod.SHARED.colPos_list does not work anymore
Description

The Page TSconfig option mod.SHARED.colPos_list does no longer work in TYPO3 6.0. E.g. mod.SHARED.colPos_list = 0 should
only display column 0, but it does not.

Instead of showing only the columns given in the list, the default columns are always shown.

I think the problem is located in typo3/sysext/backend/Classes/Controller/PageLayoutController.php, lines 470 - 476.

Seems like the issue is caused by changes in the integration of the backend layouts... The TSconfig options just are not checked
anymore.

Related issues:
related to Core - Bug # 39967: mod.SHARED.colPos_list is not taken into accou... Resolved 2012-08-19
related to TSconfig - Feature # 58104: Hide cols in BE-Layouts Needs Feedback2014-04-22
related to Grid Elements - Suggestion # 60517: Changing backend layout does n... Resolved 2014-07-24

History
#1 - 2012-12-02 01:58 - Chris topher

If it should be important: I did an update to 6.0 and I went through the update wizards, but I have not changed anything with the backend layouts.

#2 - 2012-12-04 15:04 - Klaus Weidenbach

In the "What's New" slides I found that this is now done with backend layouts. But I don't know if backend layouts is a complete replacement for this.
At least in the TSconfig QuickReference this option is still present.

#3 - 2013-04-15 22:09 - Chris topher
- Status changed from New to Closed
- Assigned To set to Chris topher
- Target version deleted (6.0.1)
- % Done changed from 0 to 100

Won't fix. Backend Layouts in fact are the new way to do it.

See #47071.
#4 - 2014-01-17 15:37 - Jo Hasenau

See #39967 - this has been a regression and of course the bug should be fixed.

#5 - 2014-01-17 17:05 - Markus Klein
- Status changed from Closed to Accepted
- Assigned To deleted (Chris topher)
- Is Regression set to Yes

#6 - 2015-01-24 15:54 - Mathias Schreiber
- Status changed from Accepted to Resolved

fixed on master
